import styled, { createGlobalStyle, keyframes } from 'styled-components'

const Gradient = keyframes`
 	0% { background-position: 0% 50% }	
	50% { background-position: 100% 50%	}	
	100% { background-position: 0% 50% }
`;


export const GlobalStyle = createGlobalStyle`
    body{	
		background: linear-gradient(-45deg,#ffa88e,#ffbafe,#23A6D5,#23D5AB);
		background-size: 400% 400%;	
		animation: ${Gradient} 15s ease infinite;
	}
`

export const WrapStyle = styled.div`
	width: 400px;
    margin: 0 auto;
	padding-top: 200px;
	.title{
		text-align: center;
		margin-bottom: 20px;
		font-size: 20px;
	}
	.setting{
		position: fixed;
		right: 10px;
		top: 10px;
		z-index: 100;
		cursor: pointer;
		border-radius: 50%;
		width: 44px;
		height: 44px;
		line-height: 44px;
		text-align: center;
		font-size: 22px;
		color: #333;
		box-shadow: 0 3px 6px -4px #0000001f, 0 6px 16px #00000014, 0 9px 28px 8px #0000000d;
		transition: color .3s;
	}
							
`
